<?php
/**
 * tattoo-expert: Customizer
 *
 * @subpackage tattoo-expert
 * @since 1.0
 */

function tattoo_expert_customize_register( $wp_customize ) {

	$wp_customize->add_setting('tattoo_expert_logo_size',array(
		'sanitize_callback'	=> 'tattoo_expert_sanitize_float'
	));
	$wp_customize->add_control('tattoo_expert_logo_size',array(
		'type' => 'range',
		'label' => __('Logo Size','tattoo-expert'),
		'section' => 'title_tagline'
	));

	$wp_customize->add_setting('tattoo_expert_logo_padding',array(
		'sanitize_callback'	=> 'esc_html'
	));
	$wp_customize->add_control('tattoo_expert_logo_padding',array(
		'label' => __('Logo Padding','tattoo-expert'),
		'section' => 'title_tagline'
	));

	$wp_customize->add_setting('tattoo_expert_logo_top_padding',array(
		'default' => '',
		'sanitize_callback'	=> 'tattoo_expert_sanitize_float'
	));
	$wp_customize->add_control('tattoo_expert_logo_top_padding',array(
		'type' => 'number',
		'description' => __('Top','tattoo-expert'),
		'section' => 'title_tagline',
	));

	$wp_customize->add_setting('tattoo_expert_logo_bottom_padding',array(
		'default' => '',
		'sanitize_callback'	=> 'tattoo_expert_sanitize_float'
	));
	$wp_customize->add_control('tattoo_expert_logo_bottom_padding',array(
		'type' => 'number',
		'description' => __('Bottom','tattoo-expert'),
		'section' => 'title_tagline',
	));

	$wp_customize->add_setting('tattoo_expert_logo_left_padding',array(
		'default' => '',
		'sanitize_callback'	=> 'tattoo_expert_sanitize_float'
	));
	$wp_customize->add_control('tattoo_expert_logo_left_padding',array(
		'type' => 'number',
		'description' => __('Left','tattoo-expert'),
		'section' => 'title_tagline',
	));

	$wp_customize->add_setting('tattoo_expert_logo_right_padding',array(
		'default' => '',
		'sanitize_callback'	=> 'tattoo_expert_sanitize_float'
	));
	$wp_customize->add_control('tattoo_expert_logo_right_padding',array(
		'type' => 'number',
		'description' => __('Right','tattoo-expert'),
		'section' => 'title_tagline',
	));

	$wp_customize->add_setting('tattoo_expert_show_site_title',array(
		'default' => true,
		'sanitize_callback'	=> 'tattoo_expert_sanitize_checkbox'
	));
	$wp_customize->add_control('tattoo_expert_show_site_title',array(
		'type' => 'checkbox',
		'label' => __('Show / Hide Site Title','tattoo-expert'),
		'section' => 'title_tagline'
	));

	$wp_customize->add_setting('tattoo_expert_site_title_font_size',array(
		'default' => '',
		'sanitize_callback'	=> 'tattoo_expert_sanitize_float'
	));
	$wp_customize->add_control('tattoo_expert_site_title_font_size',array(
		'type' => 'number',
		'label' => __('Site Title Font Size','tattoo-expert'),
		'section' => 'title_tagline',
	));

	$wp_customize->add_setting( 'tattoo_expert_site_title_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tattoo_expert_site_title_color', array(
		'label' => 'Title Color',
		'section' => 'title_tagline',
	)));

	$wp_customize->add_setting('tattoo_expert_show_tagline',array(
		'default' => true,
		'sanitize_callback'	=> 'tattoo_expert_sanitize_checkbox'
	));
	$wp_customize->add_control('tattoo_expert_show_tagline',array(
		'type' => 'checkbox',
		'label' => __('Show / Hide Site Tagline','tattoo-expert'),
		'section' => 'title_tagline'
	));

	$wp_customize->add_setting('tattoo_expert_site_tagline_font_size',array(
		'default' => '',
		'sanitize_callback'	=> 'tattoo_expert_sanitize_float'
	));
	$wp_customize->add_control('tattoo_expert_site_tagline_font_size',array(
		'type' => 'number',
		'label' => __('Site Tagline Font Size','tattoo-expert'),
		'section' => 'title_tagline',
	));

	$wp_customize->add_setting( 'tattoo_expert_site_tagline_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tattoo_expert_site_tagline_color', array(
		'label' => 'Tagline Color',
		'section' => 'title_tagline',
	)));

	$wp_customize->add_panel( 'tattoo_expert_panel_id', array(
		'priority' => 10,
		'capability' => 'edit_theme_options',
		'theme_supports' => '',
		'title' => __( 'Theme Settings', 'tattoo-expert' ),
		'description' => __( 'Description of what this panel does.', 'tattoo-expert' ),
	) );

	$wp_customize->add_section( 'tattoo_expert_theme_options_section', array(
    	'title'      => __( 'General Settings', 'tattoo-expert' ),
		'priority'   => 30,
		'panel' => 'tattoo_expert_panel_id'
	) );

	// Add Settings and Controls for Layout
	$wp_customize->add_setting('tattoo_expert_theme_options',array(
		'default' => 'Right Sidebar',
		'sanitize_callback' => 'tattoo_expert_sanitize_choices'	        
	));

	$wp_customize->add_control('tattoo_expert_theme_options',array(
		'type' => 'radio',
		'label' => __('Do you want this section','tattoo-expert'),
		'section' => 'tattoo_expert_theme_options_section',
		'choices' => array(
		   'Left Sidebar' => __('Left Sidebar','tattoo-expert'),
		   'Right Sidebar' => __('Right Sidebar','tattoo-expert'),
		   'One Column' => __('One Column','tattoo-expert'),
		   'Three Columns' => __('Three Columns','tattoo-expert'),
		   'Four Columns' => __('Four Columns','tattoo-expert'),
		   'Grid Layout' => __('Grid Layout','tattoo-expert')
		),
	));

	$wp_customize->add_setting( 'tattoo_expert_boxfull_width', array(
		'default'           => '',
		'sanitize_callback' => 'tattoo_expert_sanitize_choices'
	));
	
	$wp_customize->add_control( 'tattoo_expert_boxfull_width', array(
		'label'    => __( 'Section Width', 'tattoo-expert' ),
		'section'  => 'tattoo_expert_theme_options_section',
		'type'     => 'select',
		'choices'  => array(
			'container'  => __('Box Width', 'tattoo-expert'),
			'container-fluid' => __('Full Width', 'tattoo-expert'),
			'none' => __('None', 'tattoo-expert')
		),
	));

	$wp_customize->add_setting( 'tattoo_expert_dropdown_anim', array(
		'default'           => 'None',
		'sanitize_callback' => 'tattoo_expert_sanitize_choices'
	));
	$wp_customize->add_control( 'tattoo_expert_dropdown_anim', array(
		'label'    => __( 'Menu Dropdown Animations', 'tattoo-expert' ),
		'section'  => 'tattoo_expert_theme_options_section',
		'type'     => 'select',
		'choices'  => array(
			'bounceInUp'  => __('bounceInUp', 'tattoo-expert'),
			'fadeInUp' => __('fadeInUp', 'tattoo-expert'),
			'zoomIn'    => __('zoomIn', 'tattoo-expert'),
			'None'    => __('None', 'tattoo-expert')
		),
	));

	// Top Bar
	$wp_customize->add_section( 'tattoo_expert_contact_details', array(
    	'title'      => __( 'Top Bar', 'tattoo-expert' ),
		'priority'   => null,
		'panel' => 'tattoo_expert_panel_id'
	) );

	$wp_customize->add_setting('tattoo_expert_hide_show_topbar',array(
    	'default' => false,
    	'sanitize_callback'	=> 'tattoo_expert_sanitize_checkbox'
	));
	$wp_customize->add_control('tattoo_expert_hide_show_topbar',array(
   	'type' => 'checkbox',
   	'label' => __('Show / Hide Topbar','tattoo-expert'),
   	'section' => 'tattoo_expert_contact_details',
	));

	$wp_customize->add_setting('tattoo_expert_call1',array(
		'default'=> '',
		'sanitize_callback'	=> 'tattoo_expert_sanitize_phone_number'
	));	
	$wp_customize->add_control('tattoo_expert_call1',array(
		'label'	=> __('Phone Number','tattoo-expert'),
		'section'=> 'tattoo_expert_contact_details',
		'setting'=> 'tattoo_expert_call1',
		'type'=> 'text'
	));

	$wp_customize->add_setting('tattoo_expert_email1',array(
		'default'=> '',
		'sanitize_callback'	=> 'sanitize_email'
	));	
	$wp_customize->add_control('tattoo_expert_email1',array(
		'label'	=> __('Email Us','tattoo-expert'),
		'section'=> 'tattoo_expert_contact_details',
		'setting'=> 'tattoo_expert_email1',
		'type'=> 'text'
	));

	$wp_customize->add_setting( 'tattoo_expert_topbaricon_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tattoo_expert_topbaricon_color', array(
		'label' => 'Icon Color',
		'section' => 'tattoo_expert_contact_details',
	)));

	$wp_customize->add_setting( 'tattoo_expert_topbartext_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tattoo_expert_topbartext_color', array(
		'label' => 'Text Color',
		'section' => 'tattoo_expert_contact_details',
	)));

	$wp_customize->add_setting( 'tattoo_expert_topbarbg_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tattoo_expert_topbarbg_color', array(
		'label' => 'Background Color',
		'section' => 'tattoo_expert_contact_details',
	)));

	//social icons
	$wp_customize->add_section( 'tattoo_expert_social', array(
    	'title'      => __( 'Social Icons', 'tattoo-expert' ),
		'priority'   => null,
		'panel' => 'tattoo_expert_panel_id'
	) );

	$wp_customize->add_setting('tattoo_expert_facebook_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('tattoo_expert_facebook_url',array(
		'label'	=> __('Add Facebook link','tattoo-expert'),
		'section'	=> 'tattoo_expert_social',
		'setting'	=> 'tattoo_expert_facebook_url',
		'type'	=> 'url'
	));

	$wp_customize->add_setting('tattoo_expert_twitter_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('tattoo_expert_twitter_url',array(
		'label'	=> __('Add Twitter link','tattoo-expert'),
		'section'	=> 'tattoo_expert_social',
		'setting'	=> 'tattoo_expert_twitter_url',
		'type'	=> 'url'
	));

	$wp_customize->add_setting('tattoo_expert_insta_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('tattoo_expert_insta_url',array(
		'label'	=> __('Add Instagram link','tattoo-expert'),
		'section'	=> 'tattoo_expert_social',
		'setting'	=> 'tattoo_expert_insta_url',
		'type'	=> 'url'
	));

	$wp_customize->add_setting('tattoo_expert_linkedin_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));
	$wp_customize->add_control('tattoo_expert_linkedin_url',array(
		'label'	=> __('Add Linkedin link','tattoo-expert'),
		'section'	=> 'tattoo_expert_social',
		'setting'	=> 'tattoo_expert_linkedin_url',
		'type'	=> 'url'
	));

	$wp_customize->add_setting('tattoo_expert_pinterest_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('tattoo_expert_pinterest_url',array(
		'label'	=> __('Add Pintrest link','tattoo-expert'),
		'section'	=> 'tattoo_expert_social',
		'setting'	=> 'tattoo_expert_pinterest_url',
		'type'	=> 'url'
	));

	$wp_customize->add_setting( 'tattoo_expert_social_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tattoo_expert_social_color', array(
		'label' => 'Icons Color',
		'section' => 'tattoo_expert_social',
	)));

	//home page slider
	$wp_customize->add_section( 'tattoo_expert_slider_section' , array(
    	'title'      => __( 'Slider Settings', 'tattoo-expert' ),
		'priority'   => null,
		'panel' => 'tattoo_expert_panel_id'
	) );

	$wp_customize->add_setting('tattoo_expert_slider_hide_show',array(
    	'default' => false,
    	'sanitize_callback'	=> 'tattoo_expert_sanitize_checkbox'
	));
	$wp_customize->add_control('tattoo_expert_slider_hide_show',array(
		'type' => 'checkbox',
		'label' => __('Show / Hide slider','tattoo-expert'),
		'description' => __('Image Size ( 1600px x 550px )','tattoo-expert'),
		'section' => 'tattoo_expert_slider_section',
	));

	$wp_customize->add_setting( 'tattoo_expert_slider_effect', array(
		'default'           => '',
		'sanitize_callback' => 'tattoo_expert_sanitize_choices'
	));
	$wp_customize->add_control( 'tattoo_expert_slider_effect', array(
		'label'    => __( 'Onload Transactions Effects', 'tattoo-expert' ),
		'section'  => 'tattoo_expert_slider_section',
		'type'     => 'select',
		'choices'  => array(
			'bounceInLeft'  => __('bounceInLeft', 'tattoo-expert'),
			'bounceInRight' => __('bounceInRight', 'tattoo-expert'),
			'bounceInUp'    => __('bounceInUp', 'tattoo-expert'),
			'bounceInDown'    => __('bounceInDown', 'tattoo-expert'),
			'zoomIn'  => __('zoomIn', 'tattoo-expert'),
			'zoomOut' => __('zoomOut', 'tattoo-expert'),
			'fadeInDown'    => __('fadeInDown', 'tattoo-expert'),
			'fadeInUp'    => __('fadeInUp', 'tattoo-expert'),
			'fadeInLeft'  => __('fadeInLeft', 'tattoo-expert'),
			'fadeInRight' => __('fadeInRight', 'tattoo-expert'),
			'flip-up'    => __('flip-up', 'tattoo-expert'),
			'none'    => __('none', 'tattoo-expert')
		),
	));

	for ( $count = 1; $count <= 4; $count++ ) {
		$wp_customize->add_setting( 'tattoo_expert_slider' . $count, array(
			'default'           => '',
			'sanitize_callback' => 'tattoo_expert_sanitize_dropdown_pages'
		) );
		$wp_customize->add_control( 'tattoo_expert_slider' . $count, array(
			'label'    => __( 'Select Slide Image Page', 'tattoo-expert' ),
			'section'  => 'tattoo_expert_slider_section',
			'type'     => 'dropdown-pages'
		) );
	}

	$wp_customize->add_setting('tattoo_expert_slider_excerpt_length',array(
		'default' => '20',
		'sanitize_callback'	=> 'tattoo_expert_sanitize_float'
	));
	$wp_customize->add_control('tattoo_expert_slider_excerpt_length',array(
		'type' => 'number',
		'label' => __('Slider Excerpt Length','tattoo-expert'),
		'section' => 'tattoo_expert_slider_section',
	));

	$wp_customize->add_setting('tattoo_expert_slider_font_size',array(
		'default' => '',
		'sanitize_callback'	=> 'tattoo_expert_sanitize_float'
	));
	$wp_customize->add_control('tattoo_expert_slider_font_size',array(
		'type' => 'number',
		'label' => __('Title Font Size','tattoo-expert'),
		'section' => 'tattoo_expert_slider_section',
	));

	$wp_customize->add_setting('tattoo_expert_slider_text_font_size',array(
		'default' => '',
		'sanitize_callback'	=> 'tattoo_expert_sanitize_float'
	));
	$wp_customize->add_control('tattoo_expert_slider_text_font_size',array(
		'type' => 'number',
		'label' => __('Text Font Size','tattoo-expert'),
		'section' => 'tattoo_expert_slider_section',
	));

	$wp_customize->add_setting( 'tattoo_expert_slider_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tattoo_expert_slider_color', array(
		'label' => 'Title Color',
		'section' => 'tattoo_expert_slider_section',
	)));

	$wp_customize->add_setting( 'tattoo_expert_slider_text_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tattoo_expert_slider_text_color', array(
		'label' => 'Text Color',
		'section' => 'tattoo_expert_slider_section',
	)));

	$wp_customize->add_setting( 'tattoo_expert_sliderbtn_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tattoo_expert_sliderbtn_color', array(
		'label' => 'Button Text Color',
		'section' => 'tattoo_expert_slider_section',
	)));

	$wp_customize->add_setting( 'tattoo_expert_sliderbtnbg_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tattoo_expert_sliderbtnbg_color', array(
		'label' => 'Button Bg Color',
		'section' => 'tattoo_expert_slider_section',
	)));

	$wp_customize->add_setting( 'tattoo_expert_sliderbtnhvr_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tattoo_expert_sliderbtnhvr_color', array(
		'label' => 'Button Hover Text Color',
		'section' => 'tattoo_expert_slider_section',
	)));

	$wp_customize->add_setting( 'tattoo_expert_sliderbtnhvrbg_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tattoo_expert_sliderbtnhvrbg_color', array(
		'label' => 'Button Hover Bg Color',
		'section' => 'tattoo_expert_slider_section',
	)));

	$wp_customize->add_setting( 'tattoo_expert_slidernp_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tattoo_expert_slidernp_color', array(
		'label' => 'Arrow Color',
		'section' => 'tattoo_expert_slider_section',
	)));

	//	OUR SERVICES
	$wp_customize->add_section('tattoo_expert_service',array(
		'title'	=> __('Our Services','tattoo-expert'),
		'description'=> __('<b>Note :</b> This section will appear below the slider.','tattoo-expert'),
		'panel' => 'tattoo_expert_panel_id',
	));
	
	$wp_customize->add_setting('tattoo_expert_title',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('tattoo_expert_title',array(
		'label'	=> __('Section Title','tattoo-expert'),
		'section'	=> 'tattoo_expert_service',
		'setting'	=> 'tattoo_expert_title',
		'type'		=> 'text'
	));

	$categories = get_categories();
	$cats = array();
	$i = 0;
	$cat_pst[]= 'select';
	foreach($categories as $category){
		if($i==0){
			$default = $category->slug;
			$i++;
		}
		$cat_pst[$category->slug] = $category->name;
	}

	$wp_customize->add_setting( 'tattoo_expert_servicetitle_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tattoo_expert_servicetitle_color', array(
		'label' => 'Title Color',
		'section' => 'tattoo_expert_service',
	)));

	$wp_customize->add_setting('tattoo_expert_cat',array(
		'default'	=> 'select',
		'sanitize_callback' => 'tattoo_expert_sanitize_choices',
	));
	$wp_customize->add_control('tattoo_expert_cat',array(
		'type'    => 'select',
		'choices' => $cat_pst,
		'label' => __('Select Category To Display Post','tattoo-expert'),
		'section' => 'tattoo_expert_service',
	));

	$wp_customize->add_setting('tattoo_expert_service_img_size',array(
		'default' => '',
		'sanitize_callback'	=> 'tattoo_expert_sanitize_float'
	));
	$wp_customize->add_control('tattoo_expert_service_img_size',array(
		'type' => 'number',
		'label' => __('Image Size','tattoo-expert'),
		'section' => 'tattoo_expert_service',
	)); 

	$wp_customize->add_setting('tattoo_expert_service_section_padding',array(
       'default' => '',
       'sanitize_callback'	=> 'tattoo_expert_sanitize_float'
    ));
    $wp_customize->add_control('tattoo_expert_service_section_padding',array(
       'type' => 'number',
       'label' => __('Section Top Bottom Padding','tattoo-expert'),
       'section' => 'tattoo_expert_service',
    ));

	$wp_customize->add_setting( 'tattoo_expert_servicetext_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tattoo_expert_servicetext_color', array(
		'label' => 'Box Title Color',
		'section' => 'tattoo_expert_service',
	)));

	$wp_customize->add_setting( 'tattoo_expert_servicehvr_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tattoo_expert_servicehvr_color', array(
		'label' => 'Box Hover Bg Color',
		'section' => 'tattoo_expert_service',
	)));

	//Footer
 	$wp_customize->add_section( 'tattoo_expert_footer', array(
    	'title'      => __( 'Footer Settings', 'tattoo-expert' ),
		'priority'   => null,
		'panel' => 'tattoo_expert_panel_id'
	) );

	$wp_customize->add_setting('tattoo_expert_show_back_totop',array(
 		'default' => true,
   	'sanitize_callback'	=> 'tattoo_expert_sanitize_checkbox'
	));
	$wp_customize->add_control('tattoo_expert_show_back_totop',array(
   	'type' => 'checkbox',
   	'label' => __('Show / Hide Back to Top','tattoo-expert'),
   	'section' => 'tattoo_expert_footer'
	));

 	$wp_customize->add_setting('tattoo_expert_footer_link',array(
		'default'	=> 'https://www.luzuk.com/products/free-wordpress-tattoo-theme/',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('tattoo_expert_footer_link',array(
		'label'	=> __('Copyright Link','tattoo-expert'),
		'section'	=> 'tattoo_expert_footer',
		'setting'	=> 'tattoo_expert_footer_link',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('tattoo_expert_footer_copy',array(
		'default'	=> 'Tattoo Expert WordPress Theme By Luzuk',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('tattoo_expert_footer_copy',array(
		'label'	=> __('Copyright Text','tattoo-expert'),
		'section'	=> 'tattoo_expert_footer',
		'setting'	=> 'tattoo_expert_footer_copy',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('tattoo_expert_copyright_padding',array(
		'default' => '',
		'sanitize_callback'	=> 'tattoo_expert_sanitize_float'
 	));
 	$wp_customize->add_control('tattoo_expert_copyright_padding',array(
		'type' => 'number',
		'label' => __('Copyright Top Bottom Padding','tattoo-expert'),
		'section' => 'tattoo_expert_footer',
	));

	$wp_customize->add_setting( 'tattoo_expert_copyright_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tattoo_expert_copyright_color', array(
		'label' => 'Copyright Text Color',
		'section' => 'tattoo_expert_footer',
	)));

	$wp_customize->add_setting( 'tattoo_expert_copyrightbg_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tattoo_expert_copyrightbg_color', array(
		'label' => 'Copyright Bg Color',
		'section' => 'tattoo_expert_footer',
	)));

	$wp_customize->add_setting( 'tattoo_expert_footer_widgets_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tattoo_expert_footer_widgets_color', array(
		'label' => 'Widgets Title Color',
		'section' => 'tattoo_expert_footer',
	)));

	$wp_customize->add_setting( 'tattoo_expert_footer_widgets_menu_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tattoo_expert_footer_widgets_menu_color', array(
		'label' => 'Widgets Menus Color',
		'section' => 'tattoo_expert_footer',
	)));

	$wp_customize->add_setting( 'tattoo_expert_footerbg_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tattoo_expert_footerbg_color', array(
		'label' => 'Footer Bg Color',
		'section' => 'tattoo_expert_footer',
	)));

	$wp_customize->get_setting( 'blogname' )->transport          = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport   = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport  = 'postMessage';

	$wp_customize->selective_refresh->add_partial( 'blogname', array(
		'selector' => '.site-title a',
		'render_callback' => 'tattoo_expert_customize_partial_blogname',
	) );
	$wp_customize->selective_refresh->add_partial( 'blogdescription', array(
		'selector' => '.site-description',
		'render_callback' => 'tattoo_expert_customize_partial_blogdescription',
	) );
}
add_action( 'customize_register', 'tattoo_expert_customize_register' );

function tattoo_expert_customize_partial_blogname() {
	bloginfo( 'name' );
}

function tattoo_expert_customize_partial_blogdescription() {
	bloginfo( 'description' );
}

function tattoo_expert_is_static_front_page() {
	return ( is_front_page() && ! is_home() );
}

function tattoo_expert_is_view_with_layout_option() {
	// This option is available on all pages. It's also available on archives when there isn't a sidebar.
	return ( is_page() || ( is_archive() && ! is_active_sidebar( 'sidebar-1' ) ) );
}

/**
 * Singleton class for handling the theme's customizer integration.
 *
 * @since  1.0.0
 * @access public
 */
final class Tattoo_Expert_Customize {

	/**
	 * Returns the instance.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return object
	 */
	public static function get_instance() {

		static $instance = null;

		if ( is_null( $instance ) ) {
			$instance = new self;
			$instance->setup_actions();
		}

		return $instance;
	}

	/**
	 * Constructor method.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function __construct() {}

	/**
	 * Sets up initial actions.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function setup_actions() {

		// Register panels, sections, settings, controls, and partials.
		add_action( 'customize_register', array( $this, 'sections' ) );

		// Register scripts and styles for the controls.
		add_action( 'customize_controls_enqueue_scripts', array( $this, 'enqueue_control_scripts' ), 0 );
	}

	/**
	 * Sets up the customizer sections.
	 *
	 * @since  1.0.0
	 * @access public
	 * @param  object  $manager
	 * @return void
	 */
	public function sections( $manager ) {

		// Load custom sections.
		load_template( trailingslashit( get_template_directory() ) . '/inc/section-pro.php' );

		// Register custom section types.
		$manager->register_section_type( 'Tattoo_Expert_Customize_Section_Pro' );

		// Register sections.
		$manager->add_section(
			new Tattoo_Expert_Customize_Section_Pro(
				$manager,
				'tattoo_expert_example_1',
				array(
					'priority' => 9,
					'title'    => esc_html__( 'Tattoo Expert Pro ', 'tattoo-expert' ),
					'pro_text' => esc_html__( 'Go Pro','tattoo-expert' ),
					'pro_url'  => esc_url( 'https://www.luzuk.com/products/wordpress-tattoo-theme/' ), 
				)
			)
		);
	}

	/**
	 * Loads theme customizer CSS.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return void
	 */
	public function enqueue_control_scripts() {

		wp_enqueue_script( 'tattoo-expert-customize-controls', trailingslashit( esc_url(get_template_directory_uri()) ) . '/assets/js/customize-controls.js', array( 'customize-controls' ) );

		wp_enqueue_style( 'tattoo-expert-customize-controls', trailingslashit( esc_url(get_template_directory_uri()) ) . '/assets/css/customize-controls.css' );
	}
}

// Doing this customizer thang!
Tattoo_Expert_Customize::get_instance();